Bug 196827 - (pear-Image-GraphViz) Review Request: php-pear-Image-GraphViz - PEAR: Interface to AT&T's GraphViz tools
Review Request: php-pear-Image-GraphViz - PEAR: Interface to AT&T's GraphViz ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-PHPUnit3
  Show dependency treegraph
 
Reported: 2006-06-26 22:53 EDT by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-07 20:40:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-06-26 22:53:37 EDT
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Image-GraphViz.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-pear-Image-GraphViz-1.2.1-1.src.rpm

Description:
The GraphViz class allows for the creation of and the work with directed and
undirected graphs and their visualization with AT&T's GraphViz tools.
Comment 1 Jason Tibbitts 2006-09-07 15:04:01 EDT
Shouldn't this package have some kind of dependency on graphviz?
Comment 2 Christopher Stone 2006-09-07 15:50:25 EDT
Yeah, youre probably right.  I added graphviz to the Requires.
Comment 3 Jason Tibbitts 2006-09-07 20:23:00 EDT
Cool.  Builds OK and rpmlint has only it's usual dangerous-command-in-%post spew
which should be ignored.

* source files match upstream:
   8828e58960e0d93820cb3bdcce85e705  Image_GraphViz-1.2.1.tgz
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible.  License text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* rpmlint is silent (except for erroneous warnings)
* final provides and requires are sane:
   php-pear(Image_GraphViz) = 1.2.1
   php-pear-Image-GraphViz = 1.2.1-1.fc6
  =
   /bin/sh
   /usr/bin/pear
   graphviz
   php-pear(PEAR)
* %check is not present; no test suite upstream.
* package is not relocatable.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (PEAR module installation)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 4 Christopher Stone 2007-11-25 14:54:22 EST
Package Change Request
======================
Package Name: php-pear-Image-GraphViz
New Branches: EL-5
Comment 5 Kevin Fenzi 2007-11-26 12:13:50 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.